/***************************************************************************
***
***    Copyright 2007  Hon Hai Precision Ind. Co. Ltd.
***    All Rights Reserved.
***
****************************************************************************/

#ifndef __WPS_LED_H__
#define __WPS_LED_H__

#define WPS_LED_GPIO            1

#define WPS_LED_IOCTL_NUM   'W'

#define WPS_LED_BLINK_NORMAL   _IOWR(WPS_LED_IOCTL_NUM, 0, int *)
#define WPS_LED_BLINK_QUICK    _IOWR(WPS_LED_IOCTL_NUM, 1, int *)
#define WPS_LED_BLINK_OFF      _IOWR(WPS_LED_IOCTL_NUM, 2, int *)
#define WPS_LED_CHANGE_GREEN   _IOWR(WPS_LED_IOCTL_NUM, 3, int *)
#define WPS_LED_CHANGE_AMBER   _IOWR(WPS_LED_IOCTL_NUM, 4, int *)
#define WPS_LED_BLINK_QUICK2   _IOWR(WPS_LED_IOCTL_NUM, 5, int *)

#define DEV_WPS_LED             "/dev/wps_led"

#define WPS_LED_STOP_NO         (0)
#define WPS_LED_STOP_RADIO_OFF  (1)
#define WPS_LED_BLINK_AP_LOCKDOWN   _IOWR(WPS_LED_IOCTL_NUM, 18, int *)
#define WPS_LED_STOP_DISABLED   (2)
#endif
